Subject: bug#28476: 26.0.60; Gnus: broken timezone in citation line

From: Eli Zaretskii <[email-masked]>
Date: Sun, 17 Sep 2017 17:25:27 +0300

> From: Mike Kupfer <[email-masked]>
> Date: Sat, 16 Sep 2017 22:14:18 -0700
> 
> I have message-citation-line-format set to
> 
>   "On %e %B %Y %R %Z, %N wrote:\n"
> 
> When replying to a message whose date field is displayed as
> 
>   Date: Sat, 16 Sep 2017 17:18:30 -0700
> 
> the citation comes out as
> 
>   On 16 September 2017 17:18 +07, Mike Kupfer wrote:
> 
> I expect
> 
>   On 16 September 2017 17:18 -0700, Mike Kupfer wrote:
> 
> which is what Emacs 25.3 gives me.

I think you should use %z, not %Z.  %Z gives the time-zone _name_, a
string, whereas %z gives its numeric form.  FWIW, I get the time-zone
name from %Z in both Emacs 25.3 and the current emacs-26 branch.  Not
sure why you get different results in 25.3.

Thanks.